rte_macsec_hdr(3)

NAME
rte_macsec_hdr

SYNOPSIS

#include <rte_macsec.h>

  Data Fields

uint8_t tci_an
uint8_t short_length:6
rte_be32_t packet_number

Detailed Description

MACsec Header (SecTAG)

Definition at line 28 of file rte_macsec.h.

Field Documentation

  uint8_t tci_an
Tag control information and Association number of secure channel. Various bits of TCI and AN are masked using RTE_MACSEC_TCI_* and RTE_MACSEC_AN_MASK.

Definition at line 33 of file rte_macsec.h.

  uint8_t short_length
Short Length.

Definition at line 35 of file rte_macsec.h.

  rte_be32_t packet_number
Packet number to support replay protection.

Definition at line 41 of file rte_macsec.h.

Author

Generated automatically by Doxygen for DPDK from the source code.